/*
	AudioObjects - StereoMixerUnit.h
	(c) 2002-2003 edot studios
	all rights reserved
	
	Author(s):
	
		Lieven Dekeyser <lieven@edot-studios.com>
	
	Version History:
	
		2003-06-01 :
			changed to use the v2 AudioUnit
			changed name to StereoMixerUnit
			
		2002-01-18 : first version
*/

#import <AudioObjects/AudioUnitObject.h>

@interface StereoMixerUnit : AudioUnitObject {
	AudioUnitParameterID gainParameter;
	AudioUnitParameterID panParameter;
}

- (id)init;

- (Float32)getGainForInput:(UInt32)input;
- (void)setGainForInput:(UInt32)input to:(Float32)val;

- (Float32)getPanForInput:(UInt32)input;
- (void)setPanForInput:(UInt32)input to:(Float32)val;

- (Float32)getMasterGain;
- (void)setMasterGain:(Float32)val;

@end
